<!DOCTYPE html>

<html>
  <head>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite, 1 failed test</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Test_Suite" class="navigator-link">
              <span class="suite-name border-failed">Test Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Test_Suite" class="navigator-link ">
                    <span>D:\projects\CRUD\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Test_Suite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Test_Suite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Test_Suite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Test_Suite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Test_Suite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Test_Suite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">6 methods, 1 failed,   5 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title failed">Failed methods</span>
                    <span class="show-or-hide-methods failed">
                      <a href="#" panel-name="suite-Test_Suite" class="hide-methods failed suite-Test_Suite"> (hide)</a> <!-- hide-methods failed suite-Test_Suite -->
                      <a href="#" panel-name="suite-Test_Suite" class="show-methods failed suite-Test_Suite"> (show)</a> <!-- show-methods failed suite-Test_Suite -->
                    </span>
                    <div class="method-list-content failed suite-Test_Suite">
                      <span>
                        <img src="failed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Delete_recipe" class="method navigator-link" hash-for-method="Delete">Delete</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content failed suite-Test_Suite -->
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Test_Suite" class="hide-methods passed suite-Test_Suite"> (hide)</a> <!-- hide-methods passed suite-Test_Suite -->
                      <a href="#" panel-name="suite-Test_Suite" class="show-methods passed suite-Test_Suite"> (show)</a> <!-- show-methods passed suite-Test_Suite -->
                    </span>
                    <div class="method-list-content passed suite-Test_Suite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Add_recipe" class="method navigator-link" hash-for-method="Add">Add</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Edit_recipe" class="method navigator-link" hash-for-method="Assertion">Assertion</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Add_recipe" class="method navigator-link" hash-for-method="Assertion">Assertion</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Edit_recipe" class="method navigator-link" hash-for-method="Edit">Edit</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Test_Suite" title="recipe.Add_recipe" class="method navigator-link" hash-for-method="Resize">Resize</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Test_Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Test_Suite" class="panel Test_Suite">
          <div class="suite-Test_Suite-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">recipe.Delete_recipe</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Delete">
                  </a> <!-- Delete -->
                  <span class="method-name">Delete</span>
                  <div class="stack-trace">java.lang.AssertionError: expected [Pumpkin Pie Spaghetti Onion Pie ] but found [Pumpkin Pie
Spaghetti
Onion Pie
Recipe Name]
	at recipe.Delete_recipe.Delete(Delete_recipe.java:31)
... Removed 29 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Test_Suite-class-failed -->
          <div class="suite-Test_Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">recipe.Add_recipe</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Add">
                  </a> <!-- Add -->
                  <span class="method-name">Add</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="Assertion">
                  </a> <!-- Assertion -->
                  <span class="method-name">Assertion</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="Resize">
                  </a> <!-- Resize -->
                  <span class="method-name">Resize</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Test_Suite-class-passed -->
          <div class="suite-Test_Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">recipe.Edit_recipe</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Assertion">
                  </a> <!-- Assertion -->
                  <span class="method-name">Assertion</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="Edit">
                  </a> <!-- Edit -->
                  <span class="method-name">Edit</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Test_Suite-class-passed -->
        </div> <!-- panel Test_Suite -->
        <div panel-name="test-xml-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">D:\projects\CRUD\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Test Suite&quot;&gt;
  &lt;test name=&quot;CRUD&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;recipe.Add_recipe&quot;/&gt;
      &lt;class name=&quot;recipe.Edit_recipe&quot;/&gt;
      &lt;class name=&quot;recipe.Delete_recipe&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- CRUD --&gt;
&lt;/suite&gt; &lt;!-- Test Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Test Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">CRUD (3 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Test Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Test Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Test_Suite');
function tableData_Test_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(6);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'Delete')
data.setCell(0, 2, 'recipe.Delete_recipe')
data.setCell(0, 3, 764);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'Edit')
data.setCell(1, 2, 'recipe.Edit_recipe')
data.setCell(1, 3, 752);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'Resize')
data.setCell(2, 2, 'recipe.Add_recipe')
data.setCell(2, 3, 614);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'Add')
data.setCell(3, 2, 'recipe.Add_recipe')
data.setCell(3, 3, 443);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'Assertion')
data.setCell(4, 2, 'recipe.Edit_recipe')
data.setCell(4, 3, 378);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'Assertion')
data.setCell(5, 2, 'recipe.Add_recipe')
data.setCell(5, 3, 102);
window.suiteTableData['Test_Suite']= { tableData: data, tableDiv: 'times-div-Test_Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 3 seconds</span>
              <div id="times-div-Test_Suite">
              </div> <!-- times-div-Test_Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Test Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">2 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="ignored-class-div">
              <span class="ignored-class-name">recipe.Delete_recipe</span>
              <div class="ignored-methods-div">
                <span class="ignored-method-name">webDriver</span>
                <br/>
              </div> <!-- ignored-methods-div -->
            </div> <!-- ignored-class-div -->
            <div class="ignored-class-div">
              <span class="ignored-class-name">recipe.Edit_recipe</span>
              <div class="ignored-methods-div">
                <span class="ignored-method-name">webDriver</span>
                <br/>
              </div> <!-- ignored-methods-div -->
            </div> <!-- ignored-class-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Test_Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">recipe.Add_recipe</div> <!-- chronological-class-name -->
              <div class="configuration-suite before">
                <span class="method-name">webDriver</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-suite before -->
              <div class="test-method">
                <span class="method-name">Resize</span>
                <span class="method-start">19021 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">Add</span>
                <span class="method-start">19636 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">Assertion</span>
                <span class="method-start">20080 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">recipe.Edit_recipe</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">Edit</span>
                <span class="method-start">20185 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">Assertion</span>
                <span class="method-start">20939 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">recipe.Delete_recipe</div> <!-- chronological-class-name -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">Delete</span>
                <span class="method-start">21318 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
